oracle.xml.xmlcomp

## Class XMLCompressBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - oracle.xml.xmlcomp.XMLCompressBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class XMLCompressBeanInfo
    extends java.beans.SimpleBeanInfo

Provides information about the XLMCompress bean

### Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

### Constructor Summary

Constructors
Constructor and Description
`XMLCompressBeanInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.Image` `getIcon(int iconKind)`
`java.beans.PropertyDescriptor[]` `getPropertyDescriptors()`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLCompressBeanInfo

    public XMLCompressBeanInfo()

### Method Detail

#### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

Specified by:
  `getPropertyDescriptors` in interface `java.beans.BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

#### getIcon

    public java.awt.Image getIcon(int iconKind)

Specified by:
  `getIcon` in interface `java.beans.BeanInfo`
Overrides:
  `getIcon` in class `java.beans.SimpleBeanInfo`

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.